Bug 217310 - [patch] devel/avro-c: Incorrect 'Requires:' entry in avro-c.pc
Summary: [patch] devel/avro-c: Incorrect 'Requires:' entry in avro-c.pc
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Sunpoet Po-Chuan Hsieh
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2017-02-23 13:45 UTC by Alexander Shikov
Modified: 2018-02-28 15:14 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (vg)


Attachments
Patch to fix libsnappy dependency in avro-c.pc (408 bytes, text/plain)
2017-02-23 13:45 UTC, Alexander Shikov
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Shikov 2017-02-23 13:45:50 UTC
Created attachment 180241 [details]
Patch to fix libsnappy dependency in avro-c.pc

devel/avro-c port requires archivers/snappy.
archivers/snappy install pkgconf data in file snappy.pc, but 'Requires:' entry in avro-c.pc contains "libsnappy" instead of "snappy" and it causes an error:

# pkgconf --exists --print-errors "avro-c >= 1.8"
Package libsnappy was not found in the pkg-config search path.
Perhaps you should add the directory containing `libsnappy.pc'
to the PKG_CONFIG_PATH environment variable
Package 'libsnappy', required by 'avro-c', not found

Possible fix is to edit lang/c/CMakeLists.txt in devel/avro-c, and replace 'set(SNAPPY_PKG libsnappy)' line with 'set(SNAPPY_PKG snappy)'. Patch is attached.
Comment 1 w.schwarzenfeld freebsd_triage 2018-02-07 23:44:23 UTC
Feedback please!
Comment 2 Rene Ladan freebsd_committer 2018-02-24 21:50:51 UTC
Maintainer reset.
Comment 3 commit-hook freebsd_committer 2018-02-28 15:14:04 UTC
A commit references this bug:

Author: sunpoet
Date: Wed Feb 28 15:13:22 UTC 2018
New revision: 463227
URL: https://svnweb.freebsd.org/changeset/ports/463227

Log:
  Fix Requires: in avro-c.pc

  - Bump PORTREVISION for package change

  PR:		217310
  Submitted by:	Alexander Shikov <a.shikov@itcons.net.ua>

Changes:
  head/devel/avro-c/Makefile
Comment 4 Sunpoet Po-Chuan Hsieh freebsd_committer 2018-02-28 15:14:18 UTC
Committed. Thanks!